rsbackup(1)

NAME
rsbackup-snapshot-hook - rsync-based backup utility

SYNOPSIS
rsbackup-snapshot-hook [OPTIONS]

DESCRIPTION
rsbackup-snapshot-hook creates and removes LVM snapshots when configured as a pre- or post-backup-hook for rsbackup(1).

Snapshots will only be created for volumes that have a corresponding directory in the snapshot directory. For instance, a snapshot will be created for the volume root if /var/lib/rsbackup/snapshots/root exists. (Use the --snaps option to change the snapshot directory.) Such volumes must be stored in a logical volume.

Leftover snapshots are always unmounted and removed before creation.

Snapshots are given only a fraction of the size of the original volume. Use the --divisor to change this.

After creation snapshots are fsck'd and mounted. If an error occurs in any part of the creation process, the partially snapshot created snapshot may be left in place (and ultimately be torn down when the post-backup-hook is run).

OPTIONS

--snaps, -s PATH
    Set the path to the snapshot directory. The default is /var/lib/rsbackup/snapshots.

--divisor, -d DIVISOR
    Set the snapshot size ratio. The default is 5.

--help, -h
    Display usage message.

--version, -V
    Display version string.

SEE ALSO
rsbackup(1), lvm(8)

AUTHOR
Richard Kettlewell <rjk@greenend.org.uk>